Bug 1282443 - Update ansible-lint to at least 2.0.4
Update ansible-lint to at least 2.0.4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ansible-lint (Show other bugs)
23
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 07:34 EST by Mauricio Teixeira
Modified: 2015-12-14 05:22 EST (History)
1 user (show)

See Also:
Fixed In Version: ansible-lint-2.1.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-14 05:22:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mauricio Teixeira 2015-11-16 07:34:04 EST
Description of problem:

Current upstream release is 2.1.3, however 2.0.4 introduced a parameter (-p) which allows ansible-lint to run from inside syntastic, which allows for syntax checks of ansible files when saved from vim.

Version-Release number of selected component (if applicable):

Current: 2.0.3-1
Requested: 2.0.4 (at least)

How reproducible:

Always.

Steps to Reproduce:
1. run "ansible-lint -p file.yml"

Actual results:

ansible-lint: error: no such option: -p

Expected results:

Some lint errors in parseable format.

Additional info:

Latest PIP package: https://pypi.python.org/pypi/ansible-lint/2.1.3
Comment 1 Parag Nemade 2015-11-24 00:10:45 EST
Thank you for reporting this bug. I am sorry I missed this bug to fix. Just now noticed and the update is done for F23 and master branches now.

Note, I have done for now 2.1.0 update. I am trying to learn if its compatible with python3. As you might be knowing in F24+ we are using python3 as default now. Soon I will try to update to 2.1.3 version.
Comment 2 Fedora Update System 2015-11-24 00:11:17 EST
ansible-lint-2.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1600be9f6d
Comment 3 Fedora Update System 2015-11-24 21:54:38 EST
ansible-lint-2.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ansible-lint'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1600be9f6d
Comment 4 Fedora Update System 2015-12-14 05:22:51 EST
ansible-lint-2.1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.